-------------------------------------------------------------------------------
------------------------- MONSTER BATTLEFIELD 2D Ver. 1.4 ----------------------
--------------------------------------------------------------------------------

ticktock=0
timeit=70
Player = {}
adm = {"1","2"}
Admin = {15476}
Mod = {34818,38345,118553}
Swears = {"Bad Boy !"}
greetings = {"hello","hi"}
goodbyes = {"bye","goodbye"}

function contains(tbl,el)
    for k,v in pairs(tbl) do
        if v==el then
            return true
        end
    end
    return false
end

addhook("say","reactions")
function reactions(id,txt)
    if contains(greetings,txt) then
        msg2(id,"Hello there, "..player(id,"name").."!")
    end
    if contains(goodbyes,txt) then
        msg2(id,"Bye, "..player(id,"name").."!")
    end
end
Sup = {1}
Vip = {1}
Idi = {109331}
class = {"1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31"}
exptable = {150,180,210,240,720,270,300,330,360,1080,390,420,450,480,1440,510,540,570,600,1800,630,660,690,720,2160,735,750,765,780,2340,815,830,845,860,2580,875,890,905,920,2800,1400,1430,1500,1500,3000,1200,1200,1500,1500,3200,1500,1500,1650,1650,2500,1650,1650,1200,1200,4000,1500,1550,1575,1600,3800,1650,1675,1700,1725,3200,1800,1900,1800,1900,4200,1875,1900,1925,1950,4000,2000,2025,2050,2075,4500,2100,2125,2150,2175,4500,2225,2250,2275,2300,10000,15000,15000,15000,15000,99990}
parse("sv_gm 2")
parse("mp_wpndmg \"RPG Launcher\" 1000")
parse("mp_wpndmg \"Rocket Launcher\" 25")
parse("mp_wpndmg \"Grenade Launcher\" 15")
parse("mp_wpndmg \"Gas Grenade\" 6")
parse("mp_wpndmg \"Machete\" 110")
parse("mp_wpndmg \"Chainsaw\" 40")
parse("mp_wpndmg \"Laser\" 0")
parse("mp_wpndmg_z1 \"Claw\" 100")
parse("mp_wpndmg_z2 \"Claw\" 160")
parse("mp_wpndmg \"M4a1\" 16")
parse("mp_freezetime 8")
parse("mp_infammo 0")
load = {}
local pos={}

-----------------------
------- HOOKS ---------
-----------------------

addhook("join","join_hook")
addhook("leave","leave_hook")
addhook("team","teamchange_hook")
addhook("spawn","Class_spawn")
addhook("serveraction","serveraction_hook")
addhook("menu","menu_hook")
addhook("second","second_hook")
addhook("kill", "kill_hook")
addhook("hit","hit_hook")
addhook("spray","tag_hook")
addhook("projectile","projectile_hook")
addhook("use","use_hook")
addhook("endround","end_hook")
addhook("startround","startround_hook")
addhook("die","die_hook")
addhook("reload","reload_hook")
addhook("movetile","movetile_hook")
addhook("walkover","no")
addhook("ms100","ms_hook")

function join_hook(id)
Player[id] = {} 		-- done
Player[id].exp = 0 		-- done
Player[id].level = 0 	-- done
Player[id].credits = 0 	-- done
load[id] = 0 			-- done
class[id] = "" 			-- done
adm[id] = 1				-- done
Player[id].class = "" 	-- done
Player[id].cross = 0 	-- done
Player[id].spd = 0 		-- done
Player[id].heal = 0 	-- done
Player[id].lmines = 0 	-- done
Player[id].venom = 0 	-- done
Player[id].mbomb = 0 	-- done
Player[id].dc = 0 		-- done
Player[id].turret = 0 	-- done
Player[id].magix = 0	-- done
Player[id].ta = 0 		-- done
Player[id].mtag = 0		-- done
Player[id].admin = 0 	-- done
Player[id].wolf = 0		-- done
Player[id].combo = 0	-- done
Player[id].magi = 0		-- done
Player[id].spts = 0		-- done
Player[id].hp = 0		-- done
Player[id].ap = 0		-- done
Player[id].spdp = 0		-- done
Player[id].dlove = 0	-- done
Player[id].nohits = 0	-- done
Player[id].noesc = 0	-- done
Player[id].sshot = 0	-- done
Player[id].lwish = 0	-- done
Player[id].db = 0		-- done
Player[id].regen = 0	-- done
Player[id].lorb = 0		-- done
Player[id].frush = 0	-- done
end

function leave_hook(id)
 if load[id] == 1 then
  _savestats(id)
 end
end

function teamchange_hook(id)
	if load[id] == 0 then
  		_loadstats(id)
 		 load[id] = 1
 	end
	menu(id,"Classes First Page,Imp |Level 1+,Barbarian |Level 1+,Goblin |Level 5+,Thug |Level 5+,Creep |Level 10+,Creature |Level 10+,Pirate |Level 15+,Cobra |Level 15+,Next Page >>>")
end

function _loadstats(id)
print(load[id])
 local usgn = player(id,"usgn")
 if usgn > 0 then
  local file = io.open("sys/lua/saves/"..usgn..".txt","r")
  if file then
   local lvl,xp,cre = file:read("*n","*n","*n")
   Player[id].level = lvl or 1
   Player[id].exp = xp
   Player[id].credits = cre or 1
   msg2(id,"000255000Your save has been loaded correctly.@C")
   file:close()
  else
   msg2(id,"255000000Failed to load your save.@C")
   Player[id].level = 1
   Player[id].exp = 0
   Player[id].credits = 0
  end
 else
  msg2(id,"255000000You are not logged in. Please register an account at UnrealSoftware.de@C")
  Player[id].level = 1
  Player[id].exp = 0
  Player[id].credits = 0
  end
end

function _savestats(id)
 local usgn = player(id,"usgn")
 if usgn > 0 then
  local file = io.open("sys/lua/saves/"..usgn..".txt","w")
  local lvl = Player[id].level
  local xp = Player[id].exp
  local cre = Player[id].credits
  file:write(lvl.." \n"..xp.." \n"..cre)
  print("000255000Saved.")
  file:close()
 end
end

function _expstats(id)
local expmath = exptable[Player[id].level+1]
if Player[id].exp >= expmath then
 Player[id].level = Player[id].level + 1
 Player[id].exp = 0
end
end

function menu_hook(id,title,button)
sx = player(id,"x")
sy = player(id,"y")
st = player(id,"team") 
	if title=="Main Menu" then
		if button==1 then
			menu(id,"Additions,Make Buildings,Make Explosions,Monster Upgrades,Get Items|Admin,Turn Immortality On|Admin,Turn Immortality Off|Admin,~~~UNAVAILABLE~~~|xD,~~~UNAVAILABLE~~~|xD,Get Speed|Admin")
		elseif button==2 then
			class[id] = ""
		elseif button==3 then
			menu(id,"Monster Shop,Demon Crystal|3200$,Cyclop Mine|3300$,Giant Heal |3500$,Guardian Strike |4000$,Scientist Metal |2800$,Warlock Bomb |4000$,Ammo |1000$,Health Potion|1500 $")
		elseif button==4 then
			menu(id,"Classes First Page,Imp |Level 1+,Barbarian |Level 1+,Goblin |Level 5+,Thug |Level 5+,Creep |Level 10+,Creature |Level 10+,Pirate |Level 15+,Cobra |Level 15+,Next Page >>>")        	
     		end
	end
	if title=="Additions" then
	  	if button==1 then
	    			if (player(id,"health")>0 and player(id,"team")>0) then
					menu(id,"Make Buildings 1/2,Small Barricade|75 Credits,Normal Barricade|125 Credits,Good Barricade|255 Credits,Tiny Base|150 Credits,Base|200 Credits,Good Base|275 Credits,Strong Base|475 Credits,Super Base|800 Credits,Next Page >>>")
				end
          		elseif button==2 then
 	    			if (player(id,"health")>0 and player(id,"team")>0) then	
					menu(id,"Explosion Menu,Small Explosion |50 Credits,Normal Explosion|100 Credits,Strong Explosion|200 Credits,Big Explosion|375 Credits,Powerful Explosion|475 Credits,Nuke|800 Credits")
				end
          		elseif button==3 then
					menu(id,"Monster Upgrades,Health,Armor,Speed,Others")
          		elseif button==4 then
					if player(id,"usgn") == 15476 then
                		menu(id,"Special Items,All Pistols,All Sub-Machine Guns,All Rifles,All Special Weapons,All Grenades,All Tools,Super Armor,Medic Armor")
				elseif button==5 then
				if player(id,"usgn") == 15476 then
					adm[id] = 2
				else
					parse("sv_msg2 "..id.." You need moderator privilleges or higher")
				end
	  		elseif button==6 then
				if player(id,"usgn") == 15476 then
					adm[id] = 1
				else
					parse("sv_msg2 "..id.." You need moderator privilleges or higher")
				end
	  		elseif button==7 then
				if player(id,"usgn") == 15476 then
					msg2(id,notworking)
				else
					parse("sv_msg2 "..id.." You need moderator privilleges or higher")
				end
	  		elseif button==8 then
				if player(id,"usgn") == 15476 then
					msg2(id,notworking)
				else
					parse("sv_msg2 "..id.." You need moderator privilleges or higher")
				end
	 		elseif button==9 then
				if player(id,"usgn") == 15476 then
					menu(id,"Admin SPD,None |0 SPD,Low |5 SPD,Normal |15 SPD,Quick |25 SPD,High |40 SPD,Ultimate |55 SPD,Godlike |70 SPD")
				else
					parse("sv_msg2 "..id.." You need moderator privilleges or higher")
				end
			end
		end
	end
	if title=="Monster Upgrades" then
	  	if button==1 then
			menu(id,"Health Upgrades,+5 Max Health|150 Points,+10 Max Health|300 Points,+25 Max Health|750 Points,HP Potion +50|500 Points,Overflow|800 Points")
		elseif button==2 then
			menu(id,"Armor Upgrades,+10 Max Armor|150 Points,+20 Max Armor|300 Points,+50 Max Armor|750 Points,Kevlar + Vest|1500 Points")
		elseif button==3 then
			menu(id,"Speed Upgrades,+1 Speed|150 Points,+2 Speed|300 Points,+5 Speed|750 Points,Final Rush|1000 Points,Lightning Orb|1500 Points")
		elseif button==4 then
			menu(id,"Other Upgrades,Regeneration|800 Points,Dying Beast|1000 Points,Spirit Shot|1000 Points,No Escape|1000 Points,Last Wish|1500 Points,Death's Lover|1500 Points")
		end
	end
	if title=="Health Upgrades" then
		if button==1 then
			if Player[id].spts > 149 then
				Player[id].hp = Player[id].hp + 5
				Player[id].spts = Player[id].spts - 150
				menu(id,"Health Upgrades,+5 Max Health|150 Points,+10 Max Health|300 Points,+25 Max Health|750 Points,HP Potion +50|500 Points,Overflow|800 Points")
				msg2(id,"You got Upgrade")
			end
		elseif button==2 then
			if Player[id].spts > 299 then
				Player[id].hp = Player[id].hp + 10
				Player[id].spts = Player[id].spts - 300
				menu(id,"Health Upgrades,+5 Max Health|150 Points,+10 Max Health|300 Points,+25 Max Health|750 Points,HP Potion +50|500 Points,Overflow|800 Points")
				msg2(id,"You got Upgrade")
			end
		elseif button==3 then
			if Player[id].spts > 749 then
				Player[id].hp = Player[id].hp + 25
				Player[id].spts = Player[id].spts - 750
				menu(id,"Health Upgrades,+5 Max Health|150 Points,+10 Max Health|300 Points,+25 Max Health|750 Points,HP Potion +50|500 Points,Overflow|800 Points")
				msg2(id,"You got Upgrade")
			end
		elseif button==4 then
			if Player[id].spts > 499 then
				Player[id].hpot = 1
				Player[id].spts = Player[id].spts - 500
				msg2(id,"You got Upgrade")
				menu(id,"Health Upgrades,+5 Max Health|150 Points,+10 Max Health|300 Points,+25 Max Health|750 Points,HP Potion +50|500 Points,Overflow|800 Points")
			end
		elseif button==5 then
			if Player[id].spts > 799 then
				Player[id].overflow = 1
				Player[id].spts = Player[id].spts - 800
				msg2(id,"You got Upgrade")
				menu(id,"Health Upgrades,+5 Max Health|150 Points,+10 Max Health|300 Points,+25 Max Health|750 Points,HP Potion +50|500 Points,Overflow|800 Points")
			end
		end
	end
	if title=="Armor Upgrades" then
		if button==1 then
			if Player[id].spts > 149 then
				Player[id].ap = Player[id].ap + 10
				Player[id].spts = Player[id].spts - 150
				msg2(id,"You got Upgrade")
				menu(id,"Armor Upgrades,+10 Max Armor|150 Points,+20 Max Armor|300 Points,+50 Max Armor|750 Points,Kevlar + Vest|1500 Points")
			end
		elseif button==2 then
			if Player[id].spts > 299 then
				Player[id].ap = Player[id].ap + 20
				Player[id].spts = Player[id].spts - 300
				msg2(id,"You got Upgrade")
				menu(id,"Armor Upgrades,+10 Max Armor|150 Points,+20 Max Armor|300 Points,+50 Max Armor|750 Points,Kevlar + Vest|1500 Points")
			end
		elseif button==3 then
			if Player[id].spts > 749 then
				Player[id].ap = Player[id].ap + 50
				Player[id].spts = Player[id].spts - 750
				msg2(id,"You got Upgrade")
				menu(id,"Armor Upgrades,+10 Max Armor|150 Points,+20 Max Armor|300 Points,+50 Max Armor|750 Points,Kevlar + Vest|1500 Points")
			end
		elseif button==4 then
			if Player[id].spts > 1499 then
				Player[id].ap = Player[id].ap + 100
				Player[id].spts = Player[id].spts - 500
				msg2(id,"You got Upgrade")
				menu(id,"Armor Upgrades,+10 Max Armor|150 Points,+20 Max Armor|300 Points,+50 Max Armor|750 Points,Kevlar + Vest|1500 Points")
			end
		end
	end
	if title=="Speed Upgrades" then
		if button==1 then
			if Player[id].spts > 149 then
				Player[id].spdp = Player[id].spdp + 1
				Player[id].spts = Player[id].spts - 150
				msg2(id,"You got Upgrade")
				menu(id,"Speed Upgrades,+1 Speed|150 Points,+2 Speed|300 Points,+5 Speed|750 Points,Final Rush|1000 Points,Lightning Orb|1500 Points")
			end
		elseif button==2 then
			if Player[id].spts > 299 then
				Player[id].spdp = Player[id].spdp + 2
				Player[id].spts = Player[id].spts - 300
				msg2(id,"You got Upgrade")
				menu(id,"Speed Upgrades,+1 Speed|150 Points,+2 Speed|300 Points,+5 Speed|750 Points,Final Rush|1000 Points,Lightning Orb|1500 Points")
			end
		elseif button==3 then
			if Player[id].spts > 749 then
				Player[id].spdp = Player[id].spdp + 5
				Player[id].spts = Player[id].spts - 750
				msg2(id,"You got Upgrade")
				menu(id,"Speed Upgrades,+1 Speed|150 Points,+2 Speed|300 Points,+5 Speed|750 Points,Final Rush|1000 Points,Lightning Orb|1500 Points")
			end
		elseif button==4 then -- Final Rush
			if Player[id].spts > 999 then
				Player[id].frush = 1
				Player[id].spts = Player[id].spts - 1000
				msg2(id,"You got Upgrade")
				menu(id,"Speed Upgrades,+1 Speed|150 Points,+2 Speed|300 Points,+5 Speed|750 Points,Final Rush|1000 Points,Lightning Orb|1500 Points")
			end
		elseif button==5 then -- Lightning Orb
			if Player[id].spts > 1499 then
				Player[id].lorb = 1
				Player[id].spts = Player[id].spts - 1500
				msg2(id,"You got Upgrade")
				menu(id,"Speed Upgrades,+1 Speed|150 Points,+2 Speed|300 Points,+5 Speed|750 Points,Final Rush|1000 Points,Lightning Orb|1500 Points")
			end
		end
	end
	if title=="Other Upgrades" then
		if button==1 then -- Regen (Zombie)
			if Player[id].spts > 799 then
				Player[id].regen = Player[id].regen + 1
				Player[id].spts = Player[id].spts - 800
				msg2(id,"You got Upgrade")
				menu(id,"Other Upgrades,Regeneration|800 Points,Dying Beast|1000 Points,Spirit Shot|1000 Points,No Escape|1000 Points,Last Wish|1500 Points,Death's Lover|1500 Points")
			end
		elseif button==2 then -- Dying Beast (werewolf)
			if Player[id].spts > 999 then
				Player[id].db = Player[id].db + 2
				Player[id].spts = Player[id].spts - 1000
				msg2(id,"You got Upgrade")
				menu(id,"Other Upgrades,Regeneration|800 Points,Dying Beast|1000 Points,Spirit Shot|1000 Points,No Escape|1000 Points,Last Wish|1500 Points,Death's Lover|1500 Points")
			end
		elseif button==3 then -- Spirit Shot (Quake)
			if Player[id].spts > 299 then
				Player[id].sshot = Player[id].sshot + 10
				Player[id].spts = Player[id].spts - 300
				msg2(id,"You got Upgrade")
				menu(id,"Other Upgrades,Regeneration|800 Points,Dying Beast|1000 Points,Spirit Shot|1000 Points,No Escape|1000 Points,Last Wish|1500 Points,Death's Lover|1500 Points")
			end
		elseif button==4 then -- No Escape (Wall Trap/Gas Grenade)
			if Player[id].spts > 999 then
				Player[id].noesc = 1
				Player[id].spts = Player[id].spts - 1000
				msg2(id,"You got Upgrade")
				menu(id,"Other Upgrades,Regeneration|800 Points,Dying Beast|1000 Points,Spirit Shot|1000 Points,No Escape|1000 Points,Last Wish|1500 Points,Death's Lover|1500 Points")
			end
		elseif button==5 then -- Last Wish (Tons of various grenades in all directions)
			if Player[id].spts > 1499 then
				Player[id].lwish = 1
				Player[id].spts = Player[id].spts - 1500
				msg2(id,"You got Upgrade")
				menu(id,"Other Upgrades,Regeneration|800 Points,Dying Beast|1000 Points,Spirit Shot|1000 Points,No Escape|1000 Points,Last Wish|1500 Points,Death's Lover|1500 Points")
			end
		elseif button==6 then -- Death's Lover (Can't get hit for 5 seconds)
			if Player[id].spts > 1499 then
				Player[id].dlove = 1
				Player[id].spts = Player[id].spts - 1500
				msg2(id,"You got Upgrade")
				menu(id,"Other Upgrades,Regeneration|800 Points,Dying Beast|1000 Points,Spirit Shot|1000 Points,No Escape|1000 Points,Last Wish|1500 Points,Death's Lover|1500 Points")
			end
		end		
	end
	if title=="Explosion Menu" then
	  	if button==1 then
			if Player[id].credits > 49 then
				Player[id].credits = Player[id].credits - 50
				parse("explosion "..sx.." "..sy.." 96 100 "..id)
				menu(id,"Explosion Menu,Small Explosion |50 Credits,Normal Explosion|100 Credits,Strong Explosion|200 Credits,Big Explosion|375 Credits,Powerful Explosion|475 Credits,Nuke|800 Credits")
			end
		elseif button==2 then
			if Player[id].credits > 99 then
				Player[id].credits = Player[id].credits - 100
				parse("explosion "..sx.." "..sy.." 192 160 "..id)
				menu(id,"Explosion Menu,Small Explosion |50 Credits,Normal Explosion|100 Credits,Strong Explosion|200 Credits,Big Explosion|375 Credits,Powerful Explosion|475 Credits,Nuke|800 Credits")
			end
		elseif button==3 then
			if Player[id].credits > 199 then
				Player[id].credits = Player[id].credits - 200
				parse("explosion "..sx.." "..sy.." 192 280 "..id)
				menu(id,"Explosion Menu,Small Explosion |50 Credits,Normal Explosion|100 Credits,Strong Explosion|200 Credits,Big Explosion|375 Credits,Powerful Explosion|475 Credits,Nuke|800 Credits")
			end
		elseif button==4 then
			if Player[id].credits > 374 then
				Player[id].credits = Player[id].credits - 375
				parse("explosion "..sx.." "..sy.." 512 420 "..id)
				menu(id,"Explosion Menu,Small Explosion |50 Credits,Normal Explosion|100 Credits,Strong Explosion|200 Credits,Big Explosion|375 Credits,Powerful Explosion|475 Credits,Nuke|800 Credits")
			end
		elseif button==5 then
			if Player[id].credits > 449 then
				Player[id].credits = Player[id].credits - 450
				parse("explosion "..sx.." "..sy.." 512 530 "..id)
				menu(id,"Explosion Menu,Small Explosion |50 Credits,Normal Explosion|100 Credits,Strong Explosion|200 Credits,Big Explosion|375 Credits,Powerful Explosion|475 Credits,Nuke|800 Credits")
			end
		elseif button==6 then
			if Player[id].credits > 799 then
				Player[id].credits = Player[id].credits - 800
				parse("msg "..player(id,"name").." is nuking in 3 seconds@C")
				timer(3000, 'parse', 'explosion '..sx..' '..sy..' 2048 5000 '..id)
				menu(id,"Explosion Menu,Small Explosion |50 Credits,Normal Explosion|100 Credits,Strong Explosion|200 Credits,Big Explosion|375 Credits,Powerful Explosion|475 Credits,Nuke|800 Credits")
			end
		end
	end
	if title=="Make Buildings 1/2" then
		if button==1 then
			if (player(id,"health")>0 and player(id,"team")>0) then
				if Player[id].credits > 74 then
					Player[id].credits = Player[id].credits - 75
               		parse("spawnobject 1 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
					parse("spawnobject 1 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
					parse("spawnobject 1 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
					parse("spawnobject 1 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
					parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
					parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
					parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
					parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
					parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Where Player is Standing
			end
				end
		elseif button==2 then
			if (player(id,"health")>0 and player(id,"team")>0) then 
				if Player[id].credits > 124 then
						Player[id].credits = Player[id].credits - 125
               			parse("spawnobject 1 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
						parse("spawnobject 7 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
						parse("spawnobject 7 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
						parse("spawnobject 1 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
						parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
						parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
						parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
						parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
						parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Where Player is Standing
						parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Left Corner Top
						parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Bot
						parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
						parse("spawnobject 1 "..((sx/32)+2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
						parse("spawnobject 1 "..((sx/32)+2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
						parse("spawnobject 1 "..((sx/32)+2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
						parse("spawnobject 1 "..((sx/32)+2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
						parse("spawnobject 1 "..((sx/32)-2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
						parse("spawnobject 1 "..((sx/32)-2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
						parse("spawnobject 1 "..((sx/32)-2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
						parse("spawnobject 1 "..((sx/32)-2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
						parse("spawnobject 1 "..((sx/32)+1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Top
						parse("spawnobject 1 "..((sx/32)-1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Bot
						parse("spawnobject 1 "..((sx/32)-1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X - 1
						parse("spawnobject 1 "..((sx/32)+1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position Y - 1
						parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
					end
				end
		elseif button==3 then
			if (player(id,"health")>0 and player(id,"team")>0) then 
				if Player[id].credits > 254 then
						Player[id].credits = Player[id].credits - 255
               			parse("spawnobject 7 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
				parse("spawnobject 7 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
				parse("spawnobject 7 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 7 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Where Player is Standing
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Left Corner Top
				parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Bot
				parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 1 "..((sx/32)+2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 1 "..((sx/32)+2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 4 "..((sx/32)+2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 4 "..((sx/32)+2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 1 "..((sx/32)-2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 1 "..((sx/32)-2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 4 "..((sx/32)-2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 4 "..((sx/32)-2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 1 "..((sx/32)+1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 1 "..((sx/32)-1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 1 "..((sx/32)-1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 1 "..((sx/32)+1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
			end
			end
		elseif button==4 then
			if (player(id,"health")>0 and player(id,"team")>0) then
			if Player[id].credits > 149 then
						Player[id].credits = Player[id].credits - 150
               			parse("spawnobject 2 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
				parse("spawnobject 2 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
				parse("spawnobject 2 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 2 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 8 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 8 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Where Player is Standing
			end
			end
		elseif button==5 then
			if (player(id,"health")>0 and player(id,"team")>0) then 
			if Player[id].credits > 199 then
						Player[id].credits = Player[id].credits - 200
               			parse("spawnobject 8 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
				parse("spawnobject 8 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
				parse("spawnobject 8 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 8 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Where Player is Standing
			end
			end
		elseif button==6 then
			if (player(id,"health")>0 and player(id,"team")>0) then
			if Player[id].credits > 274 then
						Player[id].credits = Player[id].credits - 275			
               			parse("spawnobject 7 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
				parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
				parse("spawnobject 7 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Where Player is Standing
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Left Corner Top
				parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Bot
				parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 4 "..((sx/32)+2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 4 "..((sx/32)+2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 8 "..((sx/32)+2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 8 "..((sx/32)+2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 4 "..((sx/32)-2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 4 "..((sx/32)-2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 8 "..((sx/32)-2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 8 "..((sx/32)-2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 4 "..((sx/32)+1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 4 "..((sx/32)-1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 4 "..((sx/32)-1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 4 "..((sx/32)+1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
			end
			end
		elseif button==7 then
			if (player(id,"health")>0 and player(id,"team")>0) then
			if Player[id].credits > 474 then
						Player[id].credits = Player[id].credits - 475
               			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
				parse("spawnobject 5 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
				parse("spawnobject 7 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 5 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Where Player is Standing
				parse("spawnobject 8 "..((sx/32)).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Left Corner Top
				parse("spawnobject 5 "..((sx/32)+2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Bot
				parse("spawnobject 5 "..((sx/32)-2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 5 "..((sx/32)+2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 5 "..((sx/32)+2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 11 "..((sx/32)+2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 11 "..((sx/32)+2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 5 "..((sx/32)-2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 5 "..((sx/32)-2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 11 "..((sx/32)-2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 11 "..((sx/32)-2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 5 "..((sx/32)+1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 5 "..((sx/32)-1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
			end
			end
		elseif button==8 then
			if (player(id,"health")>0 and player(id,"team")>0) then
			if Player[id].credits > 799 then
						Player[id].credits = Player[id].credits - 800
               			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
				parse("spawnobject 7 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
				parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 7 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
				parse("spawnobject 8 "..((sx/32)).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Where Player is Standing
				parse("spawnobject 8 "..((sx/32)).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Left Corner Top
				parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Bot
				parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 5 "..((sx/32)+2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 5 "..((sx/32)+2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 11 "..((sx/32)+2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 11 "..((sx/32)+2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 5 "..((sx/32)-2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 5 "..((sx/32)-2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 11 "..((sx/32)-2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 11 "..((sx/32)-2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
				parse("spawnobject 5 "..((sx/32)+1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Top
				parse("spawnobject 5 "..((sx/32)-1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Bot
				parse("spawnobject 5 "..((sx/32)-1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X - 1
				parse("spawnobject 5 "..((sx/32)+1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position Y - 1
				parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
			end
			end
		elseif button==9 then
			menu(id,"Make Buildings 2/2,Gate Field|100 Credits,Gate Field |Big|250 Credits,Fortress|1100 Credits,Gate Ray|Bottom,Gate Ray|Top,Gate Ray|Right,Gate Ray |Left,<<< Previous Page")
		end
	end
	if title=="Make Buildings 2/2" then
		if button==1 then
	    	  if (player(id,"health")>0 and player(id,"team")>0) then 
			  if Player[id].credits > 99 then
						Player[id].credits = Player[id].credits - 100
               		parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Where Player is Standing
		end
		end
         	elseif button==2 then
 	    	  if (player(id,"health")>0 and player(id,"team")>0) then
			  if Player[id].credits > 249 then
						Player[id].credits = Player[id].credits - 250
               		parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Where Player is Standing
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 2 "..((sx/32)+2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 2 "..((sx/32)+2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 2 "..((sx/32)-2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 2 "..((sx/32)-2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 2 "..((sx/32)+1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 2 "..((sx/32)-1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 2 "..((sx/32)-1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 2 "..((sx/32)+1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
		end
		end
	elseif button==3 then
 	    if (player(id,"health")>0 and player(id,"team")>0) then
			if Player[id].credits > 1099 then
						Player[id].credits = Player[id].credits - 1100		
               		parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Where Player is Standing
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 7 "..((sx/32)+2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 11 "..((sx/32)+2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 12 "..((sx/32)+2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 7 "..((sx/32)-2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 11 "..((sx/32)-2).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 12 "..((sx/32)-2).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 7 "..((sx/32)+1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 7 "..((sx/32)-1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -------------------- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)+3).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 5 "..((sx/32)+3).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 5 "..((sx/32)+3).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 8 "..((sx/32)+3).." "..((sy/32)+3).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 5 "..((sx/32)+3).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 5 "..((sx/32)+3).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)-3).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 5 "..((sx/32)-3).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 5 "..((sx/32)-3).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 5 "..((sx/32)-3).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 5 "..((sx/32)-3).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 8 "..((sx/32)-3).." "..((sy/32)-3).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+3).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 5 "..((sx/32)+1).." "..((sy/32)+3).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 5 "..((sx/32)+2).." "..((sy/32)+3).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 5 "..((sx/32)-1).." "..((sy/32)+3).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 5 "..((sx/32)-2).." "..((sy/32)+3).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 8 "..((sx/32)-3).." "..((sy/32)+3).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-3).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 5 "..((sx/32)+1).." "..((sy/32)-3).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 5 "..((sx/32)+2).." "..((sy/32)-3).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 8 "..((sx/32)+3).." "..((sy/32)-3).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 5 "..((sx/32)-1).." "..((sy/32)-3).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 5 "..((sx/32)-2).." "..((sy/32)-3).." 0 0 "..st.." "..id) -- Right Corner Top
		end
		end
	elseif button==4 then
 	    if (player(id,"health")>0 and player(id,"team")>0) then
		if Player[id].credits > 199 then
						Player[id].credits = Player[id].credits - 200
               		parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+2).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+3).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+3).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+3).." 0 0 "..st.." "..id) -- Where Player is Standing
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+4).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+4).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+4).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+5).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+5).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+5).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)+6).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+6).." 0 0 "..st.." "..id) -- Where Player is Standing
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+6).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
		end
		end
	elseif button==5 then
 	    if (player(id,"health")>0 and player(id,"team")>0) then 
		if Player[id].credits > 199 then
						Player[id].credits = Player[id].credits - 200
               		parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-2).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-3).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-3).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-3).." 0 0 "..st.." "..id) -- Where Player is Standing
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-4).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-4).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-4).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-5).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-5).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-5).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)-6).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-6).." 0 0 "..st.." "..id) -- Where Player is Standing
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-6).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
		end
		end
	elseif button==6 then
 	    if (player(id,"health")>0 and player(id,"team")>0) then 
		if Player[id].credits > 199 then
						Player[id].credits = Player[id].credits - 200
               		parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)+2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)+3).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)+3).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)+3).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Where Player is Standing
			parse("spawnobject 6 "..((sx/32)+4).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)+4).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)+4).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)+5).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)+5).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)+5).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)+6).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)+6).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Where Player is Standing
			parse("spawnobject 6 "..((sx/32)+6).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
		end
		end
	elseif button==7 then
 	    if (player(id,"health")>0 and player(id,"team")>0) then 
		if Player[id].credits > 199 then
						Player[id].credits = Player[id].credits - 200
               		parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Top
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)-2).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)-3).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)-3).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)-3).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Where Player is Standing
			parse("spawnobject 6 "..((sx/32)-4).." "..((sy/32)).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)-4).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Right Corner Top
			parse("spawnobject 6 "..((sx/32)-4).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Right Corner Bot
			parse("spawnobject 6 "..((sx/32)-5).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position X - 1
			parse("spawnobject 6 "..((sx/32)-5).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Player Position Y - 1
			parse("spawnobject 6 "..((sx/32)-5).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Player Position X + 1
			parse("spawnobject 6 "..((sx/32)-6).." "..((sy/32)).." 0 0 "..st.." "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((sx/32)-6).." "..((sy/32)+1).." 0 0 "..st.." "..id) -- Where Player is Standing
			parse("spawnobject 6 "..((sx/32)-6).." "..((sy/32)-1).." 0 0 "..st.." "..id) -- Left Corner Bot
			parse("spawnobject 6 "..((sx/32)).." "..((sy/32)).." 0 0 "..st.." "..id) -- Right Corner Top
		end
		end
          elseif button==8 then
		menu(id,"Make Buildings 1/2,Small Barricade,Normal Barricade,Good Barricade,Tiny Base,Base,Good Base,Strong Base,Super Base,Next Page >>>")
	   end
	  end
	if title=="Admin SPD" then
		if button==1 then
	   		parse("sv_msg2 "..id.." (Your SPD is now 0 !)")
			parse("speedmod "..id.." 0")
      	elseif button==2 then
			parse("sv_msg2 "..id.." (Your SPD is now 5 !)")
			parse("speedmod "..id.." 5")
		elseif button==3 then
	    	parse("sv_msg2 "..id.." (Your SPD is now 15 !)")
			parse("speedmod "..id.." 15")
		elseif button==4 then
			parse("sv_msg2 "..id.." (Your SPD is now 25 !)")
			parse("speedmod "..id.." 25")
		elseif button==5 then
	    	parse("sv_msg2 "..id.." (Your SPD is now 40 !)")
			parse("speedmod "..id.." 40")
	 	elseif button==6 then
	    	parse("sv_msg2 "..id.." (Your SPD is now 55 !)")
			parse("speedmod "..id.." 55")
		elseif button==7 then
			parse("sv_msg2 "..id.." (Your SPD is now 70 !)")
			parse("speedmod "..id.." 70")
		end
	end
	if title=="Monster Shop" then
		if (player(id,"health")>0 and player(id,"team")>0) then
			if button==1 then
				if class[id]==10 then
					if (player(id,"money")>3199) then
						Player[id].dc = Player[id].dc + 1	
						parse("setmoney "..id.." "..player(id,"money") - 3200)
					else
						parse("sv_msg2 "..id.." You do not have enough money..")
					end
				else
					parse("sv_msg2 "..id.." You're not 255000000Demon")
				end
         		elseif button==2 then
					if class[id]== 16 then
						if (player(id,"money")>3299) then
							Player[id].lmines = Player[id].lmines + 1	
							parse("setmoney "..id.." "..player(id,"money") - 3300)
						else
							parse("sv_msg2 "..id.." You do not have enough money..")
						end
					else
						parse("sv_msg2 "..id.." You're not 255000000Cyclop")
					end
				elseif button==3 then
					if class[id]== 19 then
						if (player(id,"money")>3499) then
							Player[id].heal = Player[id].heal + 1	
							parse("setmoney "..id.." "..player(id,"money") - 3500)
						else
							parse("sv_msg2 "..id.." You do not have enough money..")
						end
					else
						parse("sv_msg2 "..id.." You're not 255000000Giant")
					end
				elseif button==4 then
					if class[id]== 13 then
						if (player(id,"money")>3999) then
							Player[id].cross = Player[id].cross + 1	
							parse("setmoney "..id.." "..player(id,"money") - 4000)
						else
							parse("sv_msg2 "..id.." You do not have enough money..")
						end
					else
						parse("sv_msg2 "..id.." You're not 255000000Guardian")
					end
				elseif button==5 then
					if class[id]== 23 then
						if (player(id,"money")>2799) then
							Player[id].turret = Player[id].turret + 1	
							parse("setmoney "..id.." "..player(id,"money") - 2800)
						else
							parse("sv_msg2 "..id.." You do not have enough money..")
						end
					else
						parse("sv_msg2 "..id.." You're not 255000000Scientist")
					end
				elseif button==6 then
					if class[id]== 20 then
						if (player(id,"money")>3999) then
							Player[id].mbomb = Player[id].mbomb + 1	
							parse("setmoney "..id.." "..player(id,"money") - 4000)
						else
							parse("sv_msg2 "..id.." You do not have enough money..")
						end
					else
						parse("sv_msg2 "..id.." You're not 255000000Warlock")
					end
				elseif button==7 then
					if (player(id,"money")>999) then	
						parse("setmoney "..id.." "..player(id,"money") - 1000)
						parse("equip "..id.." 61")
						parse("equip "..id.." 62")
					else
						parse("sv_msg2 "..id.." You do not have enough money..")
					end
				elseif button==8 then
					if (player(id,"money")>1499) then	
						parse("setmoney "..id.." "..player(id,"money") - 1500)
						parse("sethealth "..id.." "..player(id,"health") + 75)
					else
						parse("sv_msg2 "..id.." You do not have enough money..")
					end 		
			end
	 	end
	end
	if title=="Special Items" then
		if (player(id,"health")>0 and player(id,"team")>0) then
			if player(id,"usgn") == 15476 then
				if button==1 then
					parse("sv_msg2 "..id.." (You got all possible pistols !)")
					parse("equip "..id.." 1")
					parse("equip "..id.." 2")
					parse("equip "..id.." 3")
					parse("equip "..id.." 4")
					parse("equip "..id.." 5")
					parse("equip "..id.." 6")
        			 elseif button==2 then
					parse("sv_msg2 "..id.." (You got all possible Sub-Machine Guns !)")
					parse("equip "..id.." 20")
					parse("equip "..id.." 21")
					parse("equip "..id.." 22")
					parse("equip "..id.." 23")
					parse("equip "..id.." 24")
	 			 elseif button==3 then
					parse("sv_msg2 "..id.." (You got all possible Rifles !)")
					parse("equip "..id.." 30")
					parse("equip "..id.." 31")
					parse("equip "..id.." 32")
					parse("equip "..id.." 33")
					parse("equip "..id.." 34")
					parse("equip "..id.." 35")
					parse("equip "..id.." 36")
					parse("equip "..id.." 37")
					parse("equip "..id.." 38")
					parse("equip "..id.." 39")	
	 			elseif button==4 then
					parse("sv_msg2 "..id.." (You got all possible Special Weapons !)")
					parse("equip "..id.." 41")
					parse("equip "..id.." 45")
					parse("equip "..id.." 46")
					parse("equip "..id.." 47")
					parse("equip "..id.." 48")
					parse("equip "..id.." 49")
					parse("equip "..id.." 40")
					parse("equip "..id.." 88")
					parse("equip "..id.." 90")
					parse("equip "..id.." 91")	
	 			elseif button==5 then
					parse("sv_msg2 "..id.." (You got all possible grenades !)")
					parse("equip "..id.." 51")
					parse("equip "..id.." 52")
					parse("equip "..id.." 53")
					parse("equip "..id.." 54")
					parse("equip "..id.." 72")
					parse("equip "..id.." 73")
					parse("equip "..id.." 75")
					parse("equip "..id.." 76")
					parse("equip "..id.." 77")
					parse("equip "..id.." 86")
					parse("equip "..id.." 87")
					parse("equip "..id.." 89")	
	 			elseif button==6 then
					parse("sv_msg2 "..id.." (You got all possible tools !)")
					parse("equip "..id.." 56")
					parse("equip "..id.." 60")
					parse("equip "..id.." 69")
					parse("equip "..id.." 74")
					parse("equip "..id.." 78")
					parse("equip "..id.." 85")	
				elseif button==7 then
					parse("sv_msg2 "..id.." (You got Super Armor !)")
					parse("equip "..id.." 83")
	 			elseif button==8 then
					parse("sv_msg2 "..id.." (You got Medic Armor !)")
					parse("equip "..id.." 82")
				end
			end
		end
	end
	if title=="Classes First Page" then
		if button==1 then
			if Player[id].level >= 1 then
			if class[id] == "" then
			class[id] = 1
				parse("sv_msg2 "..id.." You are now 255000000Imp")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==2 then
			if Player[id].level >= 1 then
			if class[id] == "" then
			class[id] = 2
				parse("sv_msg2 "..id.." You are now 255000000Barbarian")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==3 then
			if Player[id].level >= 5 then
			if class[id] == "" then
			class[id] = 3
				parse("sv_msg2 "..id.." You are now 255000000Goblin")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==4 then
			if Player[id].level >= 5 then
			if class[id] == "" then
			class[id] = 4
				parse("sv_msg2 "..id.." You are now 255000000Thug")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==5 then
			if Player[id].level >= 10 then
			if class[id] == "" then
			class[id] = 5
				parse("sv_msg2 "..id.." You are now 255000000Creep")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==6 then
			if Player[id].level >= 10 then
			if class[id] == "" then
			class[id] = 6
				parse("sv_msg2 "..id.." You are now 255000000Creature")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==7 then
			if Player[id].level >= 15 then
			if class[id] == "" then
			class[id] = 7
				parse("sv_msg2 "..id.." You are now 255000000Pirate")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==8 then
			if Player[id].level >= 15 then
			if class[id] == "" then
			class[id] = 8
			Player[id].venom = 8
				parse("sv_msg2 "..id.." You are now 255000000Cobra")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==9 then
			menu(id,"Classes Second Page,Knight |Level 20+,Demon |Level 20+,Pain |Level 25+,Cold |Level 25+,Guardian |Level 30+,Beast |Level 30+,Vampire |Level 35+,Previous Page <<<,Next Page >>>")
		end
	end
	if title=="Classes Second Page" then
		if button==1 then
			if Player[id].level >= 20 then
			if class[id] == "" then
			class[id] = 9
				parse("sv_msg2 "..id.." You are now 255000000Knight")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==2 then
			if Player[id].level >= 20 then
			if class[id] == "" then
			class[id] = 10
				parse("sv_msg2 "..id.." You are now 255000000Demon")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==3 then
			if Player[id].level >= 25 then
			if class[id] == "" then
			class[id] = 11
				parse("sv_msg2 "..id.." You are now 255000000Pain")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==4 then
			if Player[id].level >= 25 then
			if class[id] == "" then
			class[id] = 12
				parse("sv_msg2 "..id.." You are now 255000000Cold")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==5 then
			if Player[id].level >= 30 then
			if class[id] == "" then
			class[id] = 13
			Player[id].cross = 4
				parse("sv_msg2 "..id.." You are now 255000000Guardian")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==6 then
			if Player[id].level >= 30 then
			if class[id] == "" then
			class[id] = 14
				parse("sv_msg2 "..id.." You are now 255000000Beast")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==7 then
			if Player[id].level >= 35 then
			if class[id] == "" then
			class[id] = 15
				parse("sv_msg2 "..id.." You are now 255000000Vampire")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==8 then
			menu(id,"Classes First Page,Imp |Level 1+,Barbarian |Level 1+,Goblin |Level 5+,Thug |Level 5+,Creep |Level 10+,Creature |Level 10+,Pirate |Level 15+,Cobra |Level 15+,Next Page >>>")        	
		elseif button==9 then
			menu(id,"Classes Third Page,Cyclop |Level 35+,Troll |Level 40+,Bolt |Level 40+,Giant |Level 45+,Warlock |Level 50+,Witcher |Level 50+,Spy |Level 55+,Previous Page <<<,Next Page >>>")
		end
	end
	if title=="Classes Third Page" then
		if button==1 then
			if Player[id].level >= 35 then
			if class[id] == "" then
			class[id] = 16
				parse("sv_msg2 "..id.." You are now 255000000Cyclop")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==2 then
			if Player[id].level >= 40 then
			if class[id] == "" then
			class[id] = 17
				parse("sv_msg2 "..id.." You are now 255000000Troll")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==3 then
			if Player[id].level >= 40 then
			if class[id] == "" then
			class[id] = 18
				parse("sv_msg2 "..id.." You are now 255000000Bolt")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==4 then ------------
			if Player[id].level >= 45 then
			if class[id] == "" then
			class[id] = 19
				parse("sv_msg2 "..id.." You are now 255000000Giant")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==5 then
			if Player[id].level >= 50 then
			if class[id] == "" then
			class[id] = 20
				parse("sv_msg2 "..id.." You are now 255000000Warlock")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==6 then
			if Player[id].level >= 50 then
			if class[id] == "" then
			class[id] = 21
				parse("sv_msg2 "..id.." You are now 255000000Witcher")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==7 then
			if Player[id].level >= 55 then
			if class[id] == "" then
			class[id] = 22
				parse("sv_msg2 "..id.." You are now 255000000Spy")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==8 then
			menu(id,"Classes Second Page,Knight |Level 20+,Demon |Level 20+,Pain |Level 25+,Cold |Level 25+,Guardian |Level 30+,Beast |Level 30+,Vampire |Level 35+,Previous Page <<<,Next Page >>>")
		elseif button==9 then
			menu(id,"Classes Fourth Page,Scientist |Level 55+,Zombie |Level 60+,Werewolf |Level 60+,Wizzard |Level 65+,Suicider |Level 65+,Dragon |Level 70+,Ambusher |Level 70+,Previous Page <<<,Next Page >>>")
		end
	end
	if title=="Classes Fourth Page" then
		if button==1 then
			if Player[id].level >= 55 then
			if class[id] == "" then
			class[id] = 23
				parse("sv_msg2 "..id.." You are now 255000000Scientist")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==2 then
			if Player[id].level >= 60 then
			if class[id] == "" then
			class[id] = 24
				parse("sv_msg2 "..id.." You are now 255000000Zombie")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==3 then
			if Player[id].level >= 60 then
			if class[id] == "" then
			class[id] = 25
				parse("sv_msg2 "..id.." You are now 255000000Werewolf")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==4 then
			if Player[id].level >= 65 then
			if class[id] == "" then
			class[id] = 26
				parse("sv_msg2 "..id.." You are now 255000000Wizzard")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==5 then
			if Player[id].level >= 65 then
			if class[id] == "" then
			class[id] = 27
				parse("sv_msg2 "..id.." You are now 255000000Suicider")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==6 then
			if Player[id].level >= 70 then
			if class[id] == "" then
			class[id] = 28
				parse("sv_msg2 "..id.." You are now 255000000Dragon")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==7 then
			if Player[id].level >= 70 then
			if class[id] == "" then
			class[id] = 29
				parse("sv_msg2 "..id.." You are now 255000000Ambusher")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==8 then
			menu(id,"Classes Third Page,Cyclop |Level 35+,Troll |Level 40+,Bolt |Level 40+,Giant |Level 45+,Warlock |Level 50+,Witcher |Level 50+,Spy |Level 55+,Previous Page <<<,Next Page >>>")        	
		elseif button==9 then
			menu(id,"Classes Fifth Page,Shadow |Level 80+,Death |Level 100,Previous Page <<<,First Page")
		end
	end
	if title=="Classes Fifth Page" then
		if button==1 then
			if Player[id].level >= 80 then
			if class[id] == "" then
			class[id] = 30
				parse("sv_msg2 "..id.." You are now 255000000Shadow")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==2 then
			if Player[id].level == 100 then
			if class[id] == "" then
			class[id] = 31
				parse("sv_msg2 "..id.." You are now 255000000Death")
			else
				parse("sv_msg2 "..id.." You already have a class or your level is not high enough")
			end
			end
		elseif button==3 then
			menu(id,"Classes Fourth Page,Scientist |Level 55+,Zombie |Level 60+,Werewolf |Level 60+,Wizzard |Level 65+,Suicider |Level 65+,Dragon |Level 70+,Ambusher |Level 70+,Previous Page <<<,Next Page >>>")
		elseif button==4 then
			menu(id,"Classes First Page,Imp |Level 1+,Barbarian |Level 1+,Goblin |Level 5+,Thug |Level 5+,Creep |Level 10+,Creature |Level 10+,Pirate |Level 15+,Cobra |Level 15+,Next Page >>>")
		end
	end
end

function hit_hook(id,sour,wep,hpdmg,apdmg,rawdmg)
sx = player(id,"x")
sy = player(id,"y")
st = player(id,"team")
se = player(sour,"team")
stx = player(id,"tilex")
sty = player(id,"tiley")
local cri = rawdmg * 2
local dmg = hpdmg / 2
local blt = rawdmg / 100 * 35
local rndcrit = math.random(1,100)
	if rndcrit == 1 then
		if cri > player(id,"health") then
			parse("sethealth "..id.." "..(player(id,"health")-cri))
			parse("sv_sound2 "..id.." MonsterBattlefield2D/critr.ogg")
			parse("sv_sound2 "..sour.." MonsterBattlefield2D/critr.ogg")
		end
	end
	if Player[sour].sshot > 0 then
		parse("shake "..id.." "..Player[sour].sshot.." ")
	end
	if Player[sour].nohits > 0 then
		return 1
	end
	if player(id,"team") ~= player(sour,"team") then
		if player(sour,"exists") then
			if class[sour] == 4 then -- Thug
				if wep==50 then
					parse("setmoney "..id.." 0")
					parse("speedmod "..sour.." 15")
					timer(3300,"parse","speedmod "..sour.." 1")
				end
			elseif class[sour] == 8 then -- Cobra
				if Player[sour].venom > 0 then
					Player[sour].venom = Player[sour].venom - 1
					parse("speedmod "..id.." "..(player(id,"speedmod")-3).." ")
					timer(7000,"parse",[[lua "parse('speedmod ]]..id..[[ '..(player(]]..id..[[,"speedmod")+3)"]])
					for i=1,7 do
						timer(700*i,"parse",[[lua "parse('speedmod ]]..id..[[ '..player(]]..id..[[,"health")-]]..(8-i)..[[)"]])
					end
				end
			elseif class[sour] == 11 then
				for h=1, 3 do
					parse("spawnnpc 3 "..stx.." "..sty.." 180")
				end
			elseif class[sour] == 12 then -- Cold
				for i=1,7 do
					timer(1600*i,"parse",[[lua "parse('speedmod ]]..id..[[ '..player(]]..id..[[,"health")-]]..(8-i)..[[)"]])
				end
				timer(12800,"parse",[[lua "parse('speedmod ]]..id..[[ '..(player(]]..id..[[,"speedmod")+14)"]])
			elseif class[sour] == 18 then -- Bolt
				if player(id,"health") > blt then
					parse("sethealth "..id.." "..(player(id,"health")- blt))
				end
			elseif class[sour] == 15 then -- Vampire
				if wep==51 then
					parse("setmaxhealth "..sour.." "..(player(sour,"maxhealth")+20))
				end
			elseif class[id] == 17 then -- Troll
				parse("sethealth "..sour.." "..(player(sour,"health")-dmg))
			elseif class[id] == 31 then -- Death
			return 1
			elseif class[sour] == 29 then -- Ambusher
				if wep==1 then
					parse("flashplayer "..id.." 80")
				end
			elseif class[sour] == 24 then -- Zombie
				if wep==86 then
					parse("speedmod "..id.." -9")
				end
			elseif class[id] == 14 then -- Beast
				if player(id,"health") < 70 then
					parse("sethealth "..id.." 250")
					parse("speedmod "..id.." 10")
					parse("equip "..id.." 10")
					timer(30000,"parse","killplayer "..id)
				end
			end
		end
	end
end

function serveraction_hook(id,b)
local sx = player(id,"x")
local sy = player(id,"y")
	if b==1 then
		menu(id,"Main Menu,Additions,Reset My Class,Monster's Shop,Classes")
	elseif b==2 then
		msg2(id,"Press F1 for more information")
	elseif b==3 then
		if class[id]==6 then
			if Player[id].spd > 0 then
				parse("speedmod "..id.." "..(player(id,"speedmod")+12).." ")
				timer(4500,"parse","speedmod "..id.." 1")
				Player[id].spd = Player[id].spd - 1
			end
		elseif class[id]== 26 then
			Player[id].magi = Player[id].magi + 1
			if Player[id].magi == 1 then
				parse("sv_msg2 "..id.." 255000000Fire Storm")
			elseif Player[id].magi == 2 then
				parse("sv_msg2 "..id.." 255000000Gas Storm")
			elseif Player[id].magi == 3 then
				parse("sv_msg2 "..id.." 255000000Explosive Storm")
			elseif Player[id].magi == 4 then
				parse("sv_msg2 "..id.." 255000000No magic selected")
				Player[id].magi = 0
			end
		elseif class[id]== 13 then
			if Player[id].cross > 0 then
				Player[id].cross = Player[id].cross - 1
				parse("equip "..id.." 76")
				parse("spawnitem 64 "..((sx/32)).." "..((sy/32)) )
			end
		elseif class[id]== 10 then
			if Player[id].dc > 0 then
				parse("equip "..id.." 73")
				Player[id].dc = Player[id].dc - 1
			end
		elseif class[id]== 16 then
			if Player[id].lmines > 0 then
				parse("equip "..id.." 87")
				Player[id].lmines = Player[id].lmines - 1
			end
		elseif class[id]== 9 then
			if Player[id].ta == 1 then
				Player[id].ta = 0
				parse("setarmor "..id.." 175")
				timer(15500,"parse","setarmor "..id.." 75")
				timer(15500,"parse","sethealth "..id.." "..(player(id,"maxhealth")).." ")
			end
		elseif class[id] == 19 then -- Beast
			if Player[id].heal > 0 then
				Player[id].heal = Player[id].heal - 1
				parse("sethealth "..id.." "..(player(id,"health")+100))
			end
		elseif class[id] == 23 then
			if Player[id].turret > 0 then
				if Player[id].turret == 3 then
					parse("spawnobject 12 "..((sx/32)+1).." "..((sy/32)-1).." 0 0 "..player(id,"team").." "..id)
					Player[id].turret = Player[id].turret - 1
				elseif Player[id].turret == 2 then
					parse("spawnobject 11 "..((sx/32)-1).." "..((sy/32)-1).." 0 0 "..player(id,"team").." "..id)
					Player[id].turret = Player[id].turret - 1
				elseif Player[id].turret == 1 then
					parse("spawnobject 8 "..((sx/32)+1).." "..((sy/32)+1).." 0 0 "..player(id,"team").." "..id)
					Player[id].turret = Player[id].turret - 1
				end
			end
		elseif class[id]== 20 then -- Warlock
			if Player[id].mbomb > 0 then
				Player[id].mbomb = Player[id].mbomb - 1
				for q=45,360,90 do
					parse("spawnprojectile "..id.." 51 "..pos[id][3].." "..pos[id][4].." 85 "..q)
				end
			end
		elseif class[id]== 29 then -- Ambusher
			if Player[id].mtag > 0 then
				Player[id].mtag = Player[id].mtag - 1			
				for q=45,360,90 do
					parse("spawnprojectile "..id.." 73 "..pos[id][3].." "..pos[id][4].." 85 "..q)
				end
			end
		end
	end
end

function movetile_hook(id,x,y)
	if Player[id].db > 0 then
		if player(id,"health") < 50 then
			Player[id].db = Player[id].db - 1
			parse("sethealth "..id.." "..player(id,"maxhealth"))
		end
	end
	if class[id]== 30 then
		parse("sethealth "..id.." "..(player(id,"health")+1))
	elseif class[id]== 25 then
		if player(id,"health") < 80 then
			if Player[id].wolf == 1 then
				parse("setmaxhealth "..id.." 210")
				parse("speedmod "..id.." 20")
				parse("equip "..id.." 11")
				parse("equip "..id.." 91")
				Player[id].wolf = 0
			end
		end
	end
end

function use_hook(id)
	if Player[id].frush == 1 then
		parse("speedmod "..id.." 100")
		timer(850,"parse","speedmod "..id.." 0")
		timer(650,"parse","sethealth "..id.." 1")
		Player[id].frush = 0
	end		
	if class[id]== 20 then
		if Player[id].mbomb > 0 then
			pos[id]={player(id,"tilex"),player(id,"tiley"),player(id,"x"),player(id,"y")}
			parse("sv_msg2 "..id.." Trap Set")
		end
	elseif class[id]== 29 then
		if Player[id].mtag > 0 then
			pos[id]={player(id,"tilex"),player(id,"tiley"),player(id,"x"),player(id,"y")}
			parse("sv_msg2 "..id.." Ambush Set")
		end
	elseif class[id]== 26 then
		if Player[id].magix > 0 then
			if Player[id].magi == 1 then
				Player[id].magix = Player[id].magix - 1
				parse("equip "..id.." 86")
			elseif Player[id].magi == 2 then
				Player[id].magix = Player[id].magix - 1
				parse("equip "..id.." 54")
			elseif Player[id].magi == 3 then
				Player[id].magix = Player[id].magix - 1
				parse("equip "..id.." 53")
			end
		end
	end
end

function die_hook(id,killer,weapon,x,y)
Player[id].spts = Player[id].exp
parse("effect \"flare\" "..x.." "..y.." 50 50 "..math.random(100,255).." "..math.random(100,255).." "..math.random(100,255).." ")
local lastwish = {51,52,53,54,72,73,75,76,86}
	if Player[id].lwish == 1 then
		for i= 1,16 do
			parse("spawnprojectile "..id.." "..lastwish[math.random(1, #lastwish)].." "..x.." "..y.." "..math.random(1,1000).." "..math.random(1,360))
		end
	end
menu(id,"Monster Upgrades,Health,Armor,Speed,Other")
Player[id].hp = 0
Player[id].ap = 0
Player[id].spdp = 0
Player[id].dlove = 0
Player[id].noesc = 0
Player[id].sshot = 0
Player[id].lwish = 0
Player[id].db = 0
Player[id].regen = 0
Player[id].lorb = 0
Player[id].frush = 0
	if class[id]== 23 then
		for k, v in pairs(object(0, 'table')) do
			if object(v, 'player') == id and (object(v, 'type') == 12 or object(v, 'type') == 11 or object(v, 'type') == 8) then
				parse('killobject '.. v)
			end
		end
	elseif class[id]== 27 then
		parse("explosion "..x.." "..y.." 512 1000 "..id)
	elseif class[id]== 24 then
		parse("spawnnpc 3 "..((x/32)+1).." "..((y/32)).." 30")
		parse("spawnnpc 3 "..((x/32)+2).." "..((y/32)).." 60")
		parse("spawnnpc 3 "..((x/32)+3).." "..((y/32)).." 90")
		parse("spawnnpc 3 "..((x/32)).." "..((y/32)+1).." 120")
		parse("spawnnpc 3 "..((x/32)).." "..((y/32)+2).." 150")
		parse("spawnnpc 3 "..((x/32)).." "..((y/32)+3).." 180")
		parse("spawnnpc 3 "..((x/32)-1).." "..((y/32)).." 210")
		parse("spawnnpc 3 "..((x/32)-2).." "..((y/32)).." 240")
		parse("spawnnpc 3 "..((x/32)-3).." "..((y/32)).." 270")
		parse("spawnnpc 3 "..((x/32)).." "..((y/32)-1).." 300")
		parse("spawnnpc 3 "..((x/32)).." "..((y/32)-2).." 330")
		parse("spawnnpc 3 "..((x/32)).." "..((y/32)-3).." 360")
	end
end
		

function end_hook(mode)
	for _, id in pairs(player(0,"tableliving")) do
	if mode==40 then
		if player(id,"team")== 1 then
			Player[id].credits = Player[id].credits + math.random(100,450)
			Player[id].exp = Player[id].exp + math.random(15,180)
			parse("sv_sound2 "..id.." MonsterBattlefield2D/n_"..math.random(1,3)..".ogg")
		else
			parse("sv_sound2 "..id.." MonsterBattlefield2D/lose.ogg")
		end
	elseif mode==41 then
		if player(id,"team")== 2 then
			Player[id].credits = Player[id].credits + math.random(100,450)
			Player[id].exp = Player[id].exp + math.random(15,180)
			parse("sv_sound2 "..id.." MonsterBattlefield2D/n_"..math.random(1,3)..".ogg")
		else
			parse("sv_sound2 "..id.." MonsterBattlefield2D/lose.ogg")
		end
	end
	end
end

string.split = function(str,pat)
 pat = pat or "[^%s]+"
 local t = {}
 for w in str:gmatch(pat) do
  t[#t+1] = w
 end
 return t
end

addhook("parse","consolecmds")
function consolecmds(cmd)
 local args=cmd:split()
 full = cmd
 cmd = args[1]
table.remove(args,1)
 
local id = tonumber(args[1])
 local n = tonumber(args[2])
 local reason=table.concat(args," ",3)
 if cmd=="givelvl" then
  Player[id].level = Player[id].level + n
  msg2(id,"Reason : "..reason)
  return 2
 elseif cmd=="givecred" then
  Player[id].credits = Player[id].credits + n
  msg2(id,"Reason : "..reason)
  return 2
  elseif cmd=="giveexp" then
  Player[id].exp = Player[id].exp + n
  msg2(id,"Reason : "..reason)
  return 2
   elseif cmd=="makeclass" then
  class[id] = class[id] + n
  msg2(id,"Reason : "..reason)
  return 2
 end
end

function startround_hook(mode)
snd = math.random(1,2)
	timer(12000,"parse","sv_sound \"MonsterBattlefield2D/st_"..snd..".ogg\"")
	if load[id] == 1 then
  _savestats(id)
	end
end

function Class_spawn(id)
parse("strip "..id)
parse("setmoney "..id.." 2000")
	if Player[id].hp > 0 then
		timer(1000,"parse","setmaxhealth "..id.."  "..(player(id,"maxhealth") + Player[id].hp))
	end
	if Player[id].ap > 0 then
		timer(1000,"parse","setarmor "..id.."  "..(player(id,"armor") + Player[id].ap))
	end
	if Player[id].spdp > 0 then
		timer(1000,"parse","speedmod "..id.."  "..(player(id,"speedmod") + Player[id].spdp))
	end
	if Player[id].noesc == 1 then
		parse("equip "..id.." 72")
	end
local imgr = math.random(1,3)
	if player(id,"name") == "Player" then
		msg2(id,string.char(169).."255000000You will be kicked unless you CHANGE NAME")
		timer(30000,"checkagain",id)
	end
for _,i in pairs(item(0,"table")) do 
	if item(i,"type")==84 or item(i,"type")==83 then
		parse("removeitem "..i)
	end
end


if not deathimg then deathimg = {} end
if class[id] == 31 then
        local imgr = math.random(1,3)
        if imgr == 1 then
                deathimg[id] = image('gfx/MonsterBattlefield2D/death1.png',1,1,100 + id)
        elseif imgr == 2 then
                deathimg[id] = image('gfx/MonsterBattlefield2D/death2.png',1,1,100 + id)
        elseif imgr == 3 then
                deathimg[id] = image('gfx/MonsterBattlefield2D/death3.png',1,1,100 + id)
        end
else
        if deathimg[id] and deathimg[id]~=0 then
                freeimage(deathimg[id])
                deathimg[id]=nil
        end
end
	if class[id] == 1 then
		parse("equip "..id.." 4")
		parse("setmaxhealth "..id.." 65")
		parse("speedmod "..id.." 2")
	elseif class[id] == 2 then
		parse("equip "..id.." 69")
		parse("setmaxhealth "..id.." 125")
		parse("speedmod "..id.." 5")
	elseif class[id] == 3 then
		parse("equip "..id.." 21")
		parse("setmaxhealth "..id.." 100")
		parse("speedmod "..id.." 1")
	elseif class[id] == 4 then -- On hit effect with knife - Steal all gold and get temp Speed (runaway) (DONE)
		parse("equip "..id.." 2")
		parse("equip "..id.." 20")
		parse("setmaxhealth "..id.." 75")
		parse("speedmod "..id.." 1")
	elseif class[id] == 5 then -- On tag effect - Spawn Headcrabs x 5 in position after 5 seconds. (Done)
		parse("equip "..id.." 58")
		parse("setmaxhealth "..id.." 50")
		parse("equip "..id.." 24")
		parse("speedmod "..id.." 3")
	elseif class[id] == 6 then -- Can move Extremely fast for a short amount of time and if he kills can use it again. F4 (Done)
		parse("equip "..id.." 69")
		parse("setmaxhealth "..id.." 100")
		parse("speedmod "..id.." 2")
		Player[id].spd = 1
	elseif class[id] == 7 then -- Aarrgh ! Kill a player, get double the credits. (Done)
		parse("equip "..id.." 10")
		parse("setmaxhealth "..id.." 95")
		parse("speedmod "..id.." 1")
	elseif class[id] == 8 then -- Hitting a player gives him minor slow and major damage from poison. If he kills player, gas grenade on his death coordinate (thrown). Has 8 Venom Points (Each shot takes one) (Done)
		parse("equip "..id.." 3")
		parse("setmaxhealth "..id.." 80")
		parse("speedmod "..id.." 1")
		Player[id].venom = 8
	elseif class[id] == 9 then -- F4 to get temporar Armor (150) Which later reduces to (50) and player is healed. (Done)
		parse("equip "..id.." 39")
		parse("setmaxhealth "..id.." 120")
		parse("speedmod "..id.." 1")
		Player[id].ta = 1
	elseif class[id] == 10 then -- Has Demon Crystal(s). Throwing molotov will make it spawn 4 HEs where molotov lands. When he kills player, he gets another Demon Crystal. (Done)
		parse("equip "..id.." 38")
		parse("setmaxhealth "..id.." 100")
		parse("speedmod "..id.." 1")
		Player[id].dc = 1
	elseif class[id] == 11 then -- Hitting a player will spawn 3 snarks near him. Did I mention that killing the player will give pain his health back as well as random armor ? (Done))
		parse("equip "..id.." 35")
		parse("setmaxhealth "..id.." 95")
		parse("speedmod "..id.." 1")
	elseif class[id] == 12 then -- Hit a player to afflict chill. Chill is when player gets slowed after 5 second and slow increases until second 9 then it fades away till second 13. (Done)
		parse("setarmor "..id.." 200")
		parse("setmaxhealth "..id.." 250")
		parse("speedmod "..id.." 6")
	elseif class[id] == 13 then -- On F4 - Consumes Cross to spawn 4 bandages in corners around him as well as gives player airstrike. When throwing it, 3 more strikes appear and all form a line of explosion. Guardian has 4 Crosses. (Done)
		parse("equip "..id.." 41")
		parse("equip "..id.." 6")
		parse("setmaxhealth "..id.." 80")
		parse("speedmod "..id.." 1")
		Player[id].cross = 4
	elseif class[id] == 14 then -- Falling below 30 health will set his health back to maximum (135) give him a big speed boost (20) and gives him shotgun. This is lost after 60 seconds, making him exhausted (Massive Slow (14)) (Done)
		parse("equip "..id.." 22")
		parse("setmaxhealth "..id.." 135")
		parse("speedmod "..id.." 2")
	elseif class[id] == 15 then -- Get's a Vampire Heart (HE grenade). If it hits a player, you get (+20) max health. Killing a player will sethealth back to max.(Done)
		parse("equip "..id.." 51")
		parse("equip "..id.." 32")
		parse("setmaxhealth "..id.." 115")
		parse("speedmod "..id.." 3")
	elseif class[id] == 16 then -- Kinda obvious. Has 30 Laser mines. Killing a player will give cyclop 3 mines. (Done)
		parse("equip "..id.." 31")
		parse("setmaxhealth "..id.." 80")
		parse("speedmod "..id.." 5")
		Player[id].lmines = 3
	elseif class[id] == 17 then -- Troll returns half damage you deal to him. (Done)
		parse("equip "..id.." 40")
		parse("setmaxhealth "..id.." 170")
		parse("speedmod "..id.." -1")
	elseif class[id] == 18 then -- Bolt is so swift that his cuts will make you bleed which's damage is massive. When bolt kills he get's additional 30 max health (Done)
		parse("equip "..id.." 85")
		parse("setmaxhealth "..id.." 120")
		parse("speedmod "..id.." 10")
	elseif class[id] == 19 then -- Giant has Heal Ability to regain health instantly by activating f4. The heal is equal to 100 HP and he has 10 heals. (Done)
		parse("equip "..id.." 40")
		parse("setmaxhealth "..id.." 220")
		parse("speedmod "..id.." -1")
		Player[id].heal = 10
	elseif class[id] == 20 then -- His amazing Tube shoots tons of fireballs at his enemy. He also has 3 Magical Bombs that he can set up (1 at a time) to destroy his enemies swiftly. When Warlock kills,he gains one magical bomb.
		parse("equip "..id.." 49")
		parse("setmaxhealth "..id.." 140")
		parse("speedmod "..id.." 3")
		Player[id].mbomb = 3
	elseif class[id] == 21 then -- Witcher uses his amazing rocket launcher that will make huge explosions when it hits stuff. He also likes to get some speed when he is severely injured. Killing with Witcher will restore his health as well as giving him another SLIGHT speed boost.
		parse("equip "..id.." 48")
		parse("setmaxhealth "..id.." 150")
		parse("speedmod "..id.." 3")
	elseif class[id] == 22 then -- Spy. Nothing really special about him except that he is extremely fast, has tons of health and killing a player will give him more speed (1)
		parse("equip "..id.." 91")
		parse("setmaxhealth "..id.." 190")
		parse("speedmod "..id.." 22")
	elseif class[id] == 23 then -- Can spawn a triple turret with a click of a button. 3 times total, then he's out of metal that he gets when he kills a player. He also has a wrench to build some things and repair turrets.
		parse("equip "..id.." 74")
		parse("setmaxhealth "..id.." 160")
		parse("speedmod "..id.." 1")
		Player[id].turret = 3
	elseif class[id] == 24 then -- You can't really kill him with ordinary weapons as his hp replenishes extremely fast. Killing it will spawn enough snarks and headcrabs to kill humanity. His "Claws" are deadly and when he kills you, spawns a zombie. He always has gut bomb that deals massive damage, if he kills anyone with it, he get's another bomb.
		parse("equip "..id.." 78")
		parse("equip "..id.." 54")
		parse("setmaxhealth "..id.." 120")
		parse("speedmod "..id.." 15")
	elseif class[id] == 25 then -- Werewolf is an ordinary swift but weak guy that rampages when he is about to die, getting OP stuff and killing everyone around it. His scout reduces damage greatly. (Done)
		parse("equip "..id.." 34")
		parse("setmaxhealth "..id.." 160")
		parse("speedmod "..id.." 10")
		Player[id].wolf = 1
	elseif class[id] == 26 then -- He casts. He splits into 8 others, gas splits into 8 others,molotovs,air strikes. He can also make an explosion trap that is completely deadly. While trap is active, his max health is reduced by 50. He recharges every 30 seconds, apart that he has a portal gun. Neat huh ? (Done)
		parse("equip "..id.." 88")
		parse("setmaxhealth "..id.." 180")
		parse("speedmod "..id.." 1")
		Player[id].magix = 3
	elseif class[id] == 27 then -- Suicide Suicide Suicide. He can throw he that will make a nuke. (Done)
		parse("equip "..id.." 69")
		parse("equip "..id.." 51")
		parse("setmaxhealth "..id.." 210")
		parse("speedmod "..id.." 9")
	elseif class[id] == 28 then -- Dragon uses his firebreath to kill everyone in few hits,molotvs are recharged upon tag. His firebreath will never end. (Done)
		parse("equip "..id.." 46")
		parse("setmaxhealth "..id.." 220")
		parse("speedmod "..id.." 3")
	elseif class[id] == 29 then -- Ambusher has Satchels, can hide and reveal mines with tag and has a flashing pistol. He can use it for 12 shots and then loses it. (Done)
		parse("equip "..id.." 89")
		parse("equip "..id.." 35")
		parse("equip "..id.." 1")
		parse("equip "..id.." 84")
		parse("setmaxhealth "..id.." 190")
		parse("speedmod "..id.." 1")
		Player[id].mtag = 3
	elseif class[id] == 30 then -- Shadow lies in shadows, waiting for it's prey,he has an RPG launcher and stealth armor. He can replenish his health upon walking and is extremely fast. RPG has massive radius and deadly damage. (Done)
		parse("equip "..id.." 47")
		parse("equip "..id.." 84")
		parse("setmaxhealth "..id.." 250")
		parse("speedmod "..id.." 25")
	elseif class[id] == 31 then -- Death ignores bullets and explosions, only status effect work on it. (Done)
		parse("equip "..id.." 91")
		parse("equip "..id.." 47")
		parse("setmaxhealth "..id.." 250")
		parse("speedmod "..id.." 30")
	end
end

function reload_hook(id,mode)
	if mode== 1 then
		if class[id]== 28 then
			parse("equip "..id.." "..player(id,"weapontype").." ")
		elseif class[id]== 30 then
			parse("equip "..id.." "..player(id,"weapontype").." ")
		elseif class[id]== 29 then
			if player(id,"weapontype") == 1 then
				parse("strip "..id.." "..player(id,"weapontype").." ")
			end
		end
	end
end

rehp = 0
function ms_hook()
	for _, id in pairs(player(0,"table")) do
		if class[id] == 24 then
			rehp = rehp + 2
			if rehp == 4 then
				rehp = 0
				parse("sethealth "..id.." "..(player(id,"health")+1))
			end
		end
	end
end
		
function projectile_hook(id,wep,x,y)
local rndd = math.random(200,1200)
	if Player[id].noesc == 1 then
		if wep ==72 then
			parse("spawnobject 3 "..((x/32)-1).." "..((y/32)+1).." 0 0 0 "..id) -- Left Corner Top
			parse("spawnobject 3 "..((x/32)-1).." "..((y/32)-1).." 0 0 0 "..id) -- Left Corner Bot
			parse("spawnobject 3 "..((x/32)+1).." "..((y/32)+1).." 0 0 0 "..id) -- Right Corner Top
			parse("spawnobject 3 "..((x/32)+1).." "..((y/32)-1).." 0 0 0 "..id) -- Right Corner Bot
			parse("spawnobject 3 "..((x/32)-1).." "..((y/32)).." 0 0 0 "..id) -- Player Position X - 1
			parse("spawnobject 3 "..((x/32)).." "..((y/32)-1).." 0 0 0 "..id) -- Player Position Y - 1
			parse("spawnobject 3"..((x/32)+1).." "..((y/32)).." 0 0 0 "..id) -- Player Position X + 1
			parse("spawnobject 3 "..((x/32)).." "..((y/32)+1).." 0 0 0 "..id) -- Player Position Y + 1
			parse("spawnobject 6 "..((x/32)).." "..((y/32)).." 0 0 "..player(id,"team").." "..id) -- Where Player is Standing
		end
	end
	if class[id]== 10 then
		if wep==73 then
			parse("spawnprojectile "..id.." 51 "..x.." "..y.." 1000 0")
			parse("spawnprojectile "..id.." 51 "..x.." "..y.." 1000 90")
			parse("spawnprojectile "..id.." 51 "..x.." "..y.." 1000 180")
			parse("spawnprojectile "..id.." 51 "..x.." "..y.." 1000 270")
		end
	elseif class[id]== 13 then
		if wep==76 then
			parse("spawnprojectile "..id.." 51 "..x.." "..y.." 128 0")
			parse("spawnprojectile "..id.." 51 "..x.." "..y.." 128 90")
			parse("spawnprojectile "..id.." 51 "..x.." "..y.." 128 180")
			parse("spawnprojectile "..id.." 51 "..x.." "..y.." 128 270")
		end
	elseif class[id]== 26 then
			if wep==54 then
				parse("spawnprojectile "..id.." 72 "..x.." "..y.." "..rndd.." 0")
				parse("spawnprojectile "..id.." 72 "..x.." "..y.." "..rndd.." 45")
				parse("spawnprojectile "..id.." 72 "..x.." "..y.." "..rndd.." 90")
				parse("spawnprojectile "..id.." 72 "..x.." "..y.." "..rndd.." 135")
				parse("spawnprojectile "..id.." 72 "..x.." "..y.." "..rndd.." 180")
				parse("spawnprojectile "..id.." 72 "..x.." "..y.." "..rndd.." 225")
				parse("spawnprojectile "..id.." 72 "..x.." "..y.." "..rndd.." 270")
				parse("spawnprojectile "..id.." 72 "..x.." "..y.." "..rndd.." 315")
			elseif wep==86 then
				parse("spawnprojectile "..id.." 73 "..x.." "..y.." "..rndd.." 0")
				parse("spawnprojectile "..id.." 73 "..x.." "..y.." "..rndd.." 45")
				parse("spawnprojectile "..id.." 73 "..x.." "..y.." "..rndd.." 90")
				parse("spawnprojectile "..id.." 73 "..x.." "..y.." "..rndd.." 135")
				parse("spawnprojectile "..id.." 73 "..x.." "..y.." "..rndd.." 180")
				parse("spawnprojectile "..id.." 73 "..x.." "..y.." "..rndd.." 225")
				parse("spawnprojectile "..id.." 73 "..x.." "..y.." "..rndd.." 270")
				parse("spawnprojectile "..id.." 73 "..x.." "..y.." "..rndd.." 315")
			elseif wep==53 then
				parse("spawnprojectile "..id.." 76 "..x.." "..y.." "..rndd.." 0")
				parse("spawnprojectile "..id.." 76 "..x.." "..y.." "..rndd.." 45")
				parse("spawnprojectile "..id.." 76 "..x.." "..y.." "..rndd.." 90")
				parse("spawnprojectile "..id.." 76 "..x.." "..y.." "..rndd.." 135")
				parse("spawnprojectile "..id.." 76 "..x.." "..y.." "..rndd.." 180")
				parse("spawnprojectile "..id.." 76 "..x.." "..y.." "..rndd.." 225")
				parse("spawnprojectile "..id.." 76 "..x.." "..y.." "..rndd.." 270")
				parse("spawnprojectile "..id.." 76 "..x.." "..y.." "..rndd.." 315")
			elseif wep==76 then
				parse("spawnprojectile "..id.." 51 "..x.." "..y.." "..rndd.." 0")
				parse("spawnprojectile "..id.." 51 "..x.." "..y.." "..rndd.." 270")
				parse("spawnprojectile "..id.." 51 "..x.." "..y.." "..rndd.." 90")
				parse("spawnprojectile "..id.." 51 "..x.." "..y.." "..rndd.." 180")
			end
	elseif class[id]== 27 then
		if wep==51 then
			parse("explosion "..x.." "..y.." 512 5000 "..id)
		end
	elseif class[id]== 30 then
		if wep== 47 then
			parse("explosion "..x.." "..y.." 512 500 "..id)
		end
	elseif class[id]== 21 then
		if wep== 48 then
			parse("spawnprojectile "..id.." 49 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
			parse("spawnprojectile "..id.." 49 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
			parse("spawnprojectile "..id.." 49 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
			parse("spawnprojectile "..id.." 49 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
			parse("spawnprojectile "..id.." 49 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
			parse("spawnprojectile "..id.." 49 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
		end
	elseif class[id]== 20 then
		if wep== 49 then
			parse("spawnprojectile "..id.." 48 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
			parse("spawnprojectile "..id.." 48 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
			parse("spawnprojectile "..id.." 48 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
		end
	elseif class[id]== 24 then
		if wep== 54 then
			parse("spawnprojectile "..id.." 86 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
			parse("spawnprojectile "..id.." 86 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
			parse("spawnprojectile "..id.." 86 "..x.." "..y.." "..math.random(300,800).." "..math.random(0,360).."")
		end
	end
end

function tag_hook(id)
local sx, sy, st = player(id,"tilex"), player(id,"tiley"), player(id,"team")
	if class[id] == 5 then
		for g=1, 5 do
			timer(3000,"parse","spawnnpc 2 "..sx.." "..sy.." 180")
		end
	elseif class[id]== 28 then
		parse("equip "..id.." 73")
	end
	if Player[id].dlove == 1 then
		Player[id].nohits = 5
	end
end

addhook("say","say_hook")
function say_hook(id,txt)
	if txt== "rank" then
		return 0
	else
		for _,usgn in ipairs(Admin) do
			if player(id,"usgn") == usgn then
				msg("255255255[Admin]"..player(id,"name").." 201071000 "..txt)
				return 1
			end
		end
		for _, usgn in ipairs(Mod) do
			if player(id,"usgn") == usgn then
				msg("255255255[Moderator] "..player(id,"name").." 211103051 "..txt)
				return 1
			end
		end
		for _, usgn in ipairs(Sup) do
			if player(id,"usgn") == usgn then
				msg("255255255[Supporter] "..player(id,"name").." 255090000 "..txt)
				return 1
			end
		end
		for _, usgn in ipairs(Idi) do
			if player(id,"usgn") == usgn then
				msg("255255255[Idiot] "..player(id,"name").." 116116116 "..txt)
				return 1
			end
		end
		for _, usgn in ipairs(Vip) do
			if player(id,"usgn") == usgn then
				msg("255255255[VIP] "..player(id,"name").." 045159158 "..txt)
				return 1
			end
		end
	end
end

addhook("buy","nope")
function nope(id,weapon)
	parse("sv_msg2 "..id.." Buying is not allowed")
	return 1
end

addhook("drop","nah")
function nah(id,iid,type,ain,a,mode,x,y)
	if iid== 70 or iid== 71 then
		return 0
	else
		return 1
	end
end

function no(id,iid,type,ain,a,mode)
    if iid==83 or iid==84 then
		timer(500,"parse","setarmor "..id.." 0")
		return 1
	end
	if iid~=83 and iid~=84 then
		return 0
    end
end

------------------------------
----- KILL BONUSES -----------
------------------------------

function kill_hook(id,victim,weapon,x,y)
parse("setmoney "..id.." "..player(id,"money")+math.random(1,900))
Player[id].credits = Player[id].credits + 15
parse("hudtxt2 "..id.." 13 \"Exp: "..Player[id].exp.."/"..expmath.." \" 400 380 0")
	if Player[victim].lvl > Player[id].lvl then
		Player[id].exp = Player[id].exp + ((Player[victim].lvl - Player[id].lvl) * 10)
		msg2(id,"You get extra "..((Player[victim].lvl - Player[id].lvl) * 10).." exp for stronger enemy kill@C")
	else
		Player[id].exp = Player[id].exp + 15
	end
 _expstats(id) 
	if Player[id].lorb > 0 then
		parse("speedmod "..id.." "..(player(id,"speedmod")+2))
	end
	if class[id]== 6 then
		Player[id].spd = Player[id].spd + 1
	elseif class[id] == 21 then
		parse("speedmod "..id.." "..(player(id,"speedmod")+1))
	elseif class[id]== 10 then
		Player[id].dc = Player[id].dc + 1
	elseif class[id] == 7 then
		Player[id].credits = Player[id].credits + 20
	elseif class[id] == 16 then
		Player[id].lmines = Player[id].lmines + 1
	elseif class[id] == 15 then
		parse("sethealth "..id.." "..(player(id,"health")+50))
	elseif class[id] == 18 then
		parse("setmaxhealth "..id.." "..(player(id,"maxhealth")+30))
	elseif class[id] == 11 then
		parse("sethealth "..id.." "..player(id,"maxhealth"))
		parse("setarmor "..id.." "..math.random(50,100))
	elseif class[id] == 22 then
		parse("speedmod "..id.." "..(player(id,"speedmod")+2))
	elseif class[id]== 26 then
		Player[id].magix = Player[id].magix + 1
	elseif class[id] == 29 then
		Player[id].mtag = Player[id].mtag + 1
	elseif class[id]== 24 then
		parse("equip "..id.." 86")
	end
	if weapon==50 then
	Player[id].credits = Player[id].credits + 15
	Player[id].exp = Player[id].exp + 30
	msg2(id,"You humiliated 000100150"..player(victim,"name").."")
	end
end

function checkagain(id)
	if player(id,"name") == "Player" then
		parse("kick "..id.." For not changing name")
	end
end

function _expstats(id)
local expmath = exptable[Player[id].level+1]
 if Player[id].exp >= expmath then
  Player[id].level = Player[id].level + 1
  parse("sv_sound2 "..id.." MonsterBattlefield2D/unlock.ogg")
  Player[id].exp = 0
  msg(player(id,"name").. " Leveled up to "..Player[id].level)
 end
end

ticktock = 0
function second_hook()
	for _, id in pairs(player(0,"tableliving")) do
		parse("hudtxt2 "..id.." 12 \"Level : "..Player[id].level.." \" 400 400 0")
		parse("hudtxt2 "..id.." 11 \"Credits : "..Player[id].credits.." \" 400 420 0")
		parse("hudtxt2 "..id.." 46 \"Upgrade Points: "..Player[id].spts.." \" 400 440 0")
		if Player[id].regen > 0 then
			parse("sethealth "..id.." "..(player(id,"health") + Player[id].regen))
		end
		if Player[id].nohits > 0 then
			Player[id].nohits = Player[id].nohits - 1
		end
		if class[id] == 13 then -- Guardian
			parse("hudtxt2 "..id.." 15 \"Crosses : "..Player[id].cross.."\" 80 80 0 ")
		elseif class[id] == 1 or class[id] == 2 or class[id] == 3 or class[id] == 4 or class[id] == 5 or class[id] == 7 or class[id] == 9 or class[id] == 11 or class[id] == 12 or class[id] == 14 or class[id] == 15 or class[id] == 17 or class[id] == 18 or class[id] == 22 or class[id] == 24 or class[id] == 25 or class[id] == 27 or class[id] == 28 or class[id] == "" then -- Classes that don't need these HUDs
			parse('hudtxt2 '..id..' 15 "" 80 80 0')
		elseif class[id] == 8 then -- Cobra
			parse("hudtxt2 "..id.." 15 \"Poison : "..Player[id].venom.."\" 80 80 0 ")
		elseif class[id] == 6 then -- Creature
			parse("hudtxt2 "..id.." 15 \"Sprints : "..Player[id].spd.."\" 80 80 0 ")
		elseif class[id] == 10 then -- Demon
			parse("hudtxt2 "..id.." 15 \"Crystals : "..Player[id].dc.."\" 80 80 0 ")
		elseif class[id] == 16 then -- Cyclop
			parse("hudtxt2 "..id.." 15 \"Laser Mines : "..Player[id].lmines.."\" 80 80 0 ")
		elseif class[id] == 19 then -- Giant
			parse("hudtxt2 "..id.." 15 \"Heals : "..Player[id].heal.."\" 80 80 0 ")
		elseif class[id] == 20 then -- Warlock
			parse("hudtxt2 "..id.." 15 \"Magic Bombs : "..Player[id].mbomb.."\" 80 80 0 ")
		elseif class[id] == 29 then -- Ambusher
			parse("hudtxt2 "..id.." 15 \"Ambush : "..Player[id].mtag.."\" 80 80 0 ")
		elseif class[id] == 26 then -- Wizzard
			parse("hudtxt2 "..id.." 15 \"Spells : "..Player[id].magix.."\" 80 80 0 ")
		elseif class[id] == 23 then -- Giant
			parse("hudtxt2 "..id.." 15 \"Metal : "..Player[id].turret.."\" 80 80 0 ")
		end
	end
	
ticktock=ticktock+1
	if ticktock == 4 then
		parse('hudtxt 1 "Monster Battlefield 2D by Raining Mammoths" 320 16 1')
		parse("hudtxtcolorfade 0 1 5000 255 0 0")
		parse('hudtxt 2 "~ ~ ~ F2 to Select Class/F4 to use power(if possible) ~ ~ ~" 320 32 1')
		parse("hudtxtcolorfade 0 2 5000 255 0 0")
	elseif ticktock == 8 then 
		parse("hudtxtcolorfade 0 1 5000 0 255 0")
		parse("hudtxtcolorfade 0 2 5000 0 255 0")
	elseif ticktock == 12 then
		parse("hudtxtcolorfade 0 1 5000 0 0 255")
		parse("hudtxtcolorfade 0 2 5000 0 0 255")
	elseif ticktock == 16 then
		parse("hudtxtcolorfade 0 1 4000 255 220 0")
		parse("hudtxtcolorfade 0 2 4000 255 220 0")
		ticktock=0
	end
end

-----------------------
---- FUTURE PLANS -----
-----------------------
-- Other > Yet Unknown updates. (Unknown Time Limit, obviously...)
-- User > Bad Words